Name:		amaya
Version: 	8.5
Release: 	2
Epoch:      0
Summary: 	W3C's browser/web authoring tool
Group:   	Applications/Internet
Source0: 	http://www.w3.org/Amaya/Distribution/amaya-src-8.5.tgz
Source1:    amaya.png
License: 	W3C Software License
Url:     	http://www.w3.org/Amaya
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: 	libungif-devel libjpeg-devel libpng-devel zlib-devel
BuildRequires: 	gtk+-devel perl bison flex imlib-devel
BuildRequires:	XFree86-devel freetype-devel >= 2.0
BuildRequires:  desktop-file-utils

%description
Amaya is a WYSIWYG browser/web authoring tool from the W3C.

This graphical HTML Editor supports many of the latest
draft standards for HTML/XHTML.

%prep
%setup -q -n Amaya

%build
mkdir -p gtk-build
cd gtk-build
#../configure --enable-bookmarks --enable-system-redland --prefix=$RPM_BUILD_ROOT%_libdir --exec-prefix=$RPM_BUILD_ROOT/%_prefix --libdir=%_libdir
../configure --enable-bookmarks \
             --prefix=$RPM_BUILD_ROOT%_libdir \
             --exec-prefix=$RPM_BUILD_ROOT/%_prefix \
             --libdir=%_libdir
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_datadir/pixmaps
cd gtk-build
make install
rm -f $RPM_BUILD_ROOT%_bindir/%name
ln -s %{_libdir}/Amaya/applis/bin/amaya $RPM_BUILD_ROOT%_bindir/amaya

# Menu entry
cat << EOF > %{name}.desktop
[Desktop Entry]
Name=Amaya
Comment=Web authoring tool
Exec=amaya
Icon=amaya.png
Terminal=false
Type=Application
Encoding=UTF-8
Categories=Application;Network;Development;
EOF

desktop-file-install --dir $RPM_BUILD_ROOT/%{_datadir}/applications/ \
       --add-category X-Fedora \
       --vendor fedora \
       %{name}.desktop

install -p -m 644 %SOURCE1 $RPM_BUILD_ROOT%_datadir/pixmaps/


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README* amaya/COPYRIGHT*
%_libdir/Amaya
%_bindir/%name
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*

%changelog
* Fri Jul 16 2004 Aurelien Bompard <gauret[AT]free.fr> 0:8.5-0.fdr.2
- remove support for smp builds

* Tue May 25 2004 Aurelien Bompard <gauret[AT]free.fr> 8.5-0.fdr.1
- Initial RPM (from Mandrake)
